var locale = 'en';
var url = 'https://app.puzzley.ir';
var online = true,
    $show_ad = true,
    isDevice = true,
    check = false,
    phone_id = '',
    default_access_page = [],
    trialMode = false,
    $app_data = {
        t: '1629789832',
        version: '2.1.2',
        target_market: "link",
        layout: 'side-right-image'
    },
    $app_sl = 'eyJpdiI6IlZpQWNMUmFpVXJJVWl1ZDdMV25jT1E9PSIsInZhbHVlIjoiOFk5ZkF6Q2R4cjR3K1ZiaU85WUwra0hRdUNPV0VNUUlSVEdQZGFZR3pidz0iLCJtYWMiOiI3ZDMyNDlhMzQ5N2RlNGE5ODNlYWQxODM3ODEwZDJiYTNjMzA1ZDYxZDBjMzJjNDdjYzAyYmIzOWU2NGRhMmE4In0%3D',
    $device_info = {};

var ngApp = angular.module('ngApp', ['ionic', 'ngResource', 'ngApp.controllers', 'ngApp.services', 'ionic-datepicker'])
    .run(function($ionicPlatform, $rootScope, $ionicLoading, $ionicHistory, $ionicPopup, $state, $ionicModal, $ionicScrollDelegate, $location , Auth) {
        $rootScope.$on('loading:show', function() {
            $ionicLoading.show({
                noBackdrop: true
            });
        });

        $rootScope.isDevice = isDevice;
        // Show IOS tutorial popup
        var showIosTutorialPopup = function (e) {
            if (e.isStandalone) {
                return;
            }

            if (e.isEmulator) {
                return;
            }

            if (!e.isIOS) {
                return;
            }

            if (e.isWebView) {
                return;
            }

            $rootScope.openIOSTutorialModal();
        }

        // Show Android tutorial popup
        var showAndroidTutorialPopup = function (e) {
            if (e.isStandalone) {
                return;
            }

            if (e.isEmulator) {
                return;
            }

            if (!e.isAndroid) {
                return;
            }

            if (e.isWebView) {
                return;
            }

            $rootScope.openAndroidTutorialModal();
        }

        // Check if application load in web app or device
        // ATTENTION: The emulator in explorers is not our
        // target for this feature. just mobile devices.
        var executeDeviceReadyFunctions = function () {
            var event = {
                isAndroid: ionic.Platform.isAndroid(),
                isIOS: ionic.Platform.isIOS(),
                isStandalone: ionic.Platform.isAndroid() ? window.matchMedia('(display-mode: standalone)').matches : window.navigator.standalone === true,
                // We are in the emulator then should not do anythings
                isEmulator: window.location.pathname.match(/^\/mobile\//) ? true : false,
                isWebView: ionic.Platform.isWebView()
            };

            window.platform_info = event;

            // Dispach event
            showIosTutorialPopup(event);
            showAndroidTutorialPopup(event);
                                    setTimeout(checkapp, 3000); //wait for app setup completley
        }

        $rootScope.$on('loading:hide', function() {
            $ionicLoading.hide();
        });

        $rootScope.goToStateWithDisableBack = function (to) {
            $ionicHistory.nextViewOptions({
                    historyRoot: true,
                    disableBack: true
            });
            $state.go(to, {}, {
                location: "replace", 
                reload: true
            });
            setTimeout(function(){
                $ionicHistory.clearHistory();
            },500);
        }

        $rootScope.dataTapStatus = false;

        $ionicPlatform.ready(function() {
            /*Auth.init();*/
                        // Execute all neccessary function when device was ready
            executeDeviceReadyFunctions();
        });

        $rootScope.backButtonPressedOnceToExit = false;
        $ionicPlatform.registerBackButtonAction(function(e) {
            e.preventDefault();
            if ($rootScope.backButtonPressedOnceToExit) {
                ionic.Platform.exitApp(); 
            } 
                        else if (window.location.hash.indexOf("web-page") !== -1) {
                window.history.back();
                if (window.location.hash == homeHash) {
                    $rootScope.backButtonPressedOnceToExit = true;
                    setTimeout(function() {
                        $rootScope.backButtonPressedOnceToExit = false;
                    }, 300);
                }
            } else if ($ionicHistory.backView()) {
                $ionicHistory.goBack();
            } else if (hasHome && window.location.hash != homeHash) {
                $ionicHistory.nextViewOptions({
                    disableBack: true
                });
                window.location.hash = homeHash;
            } else {
                $rootScope.backButtonPressedOnceToExit = true;
                showToast(lang('global.press_again_to_exit'), 2000);
                setTimeout(function() {
                    $rootScope.backButtonPressedOnceToExit = false;
                }, 2500);
            }
            return false;
        }, 101);

        
        $rootScope.$on('$stateChangeStart', function(event, toState, toStateParams, fromState, fromStateParams) {
            if($rootScope.openModal)
                $rootScope.openModal.hide();
                
            $rootScope.hideTabs = false;

                                    if (
                (toState.pageid != 1 && !Auth.CanAccess(toState.pageid)) 
                || (typeof toStateParams.pageid != 'undefined' && !Auth.CanAccess(toStateParams.pageid))
                || (
                    typeof toStateParams.id !== 'undefined' 
                    && toStateParams.id != 1 
                    && !Auth.CanAccess(toStateParams.id) 
                    && toStateParams.func == 'getIndex'
                    )
            ) {
                event.preventDefault();
                if(Auth.Check()) {
                                            $ionicLoading.show({
                            template:'<div class="info"><i class="icon warning ion-ios-information-outline"></i></div><div><p>شما به این صفحه دسترسی ندارید</p></div>'
                        });
                        setTimeout(function () {
                            $ionicLoading.hide();
                        }, $widgets.data.signup.no_access_message_time);
                                    } else {
                    $ionicPopup.confirm({
                        cssClass: 'signup_pupop',
                        title: 'حساب کاربری',
                        template: '<p>برای دسترسی به این صفحه کافیه ثبت نام کنید. (کمتر از 30 ثانیه)</p>',
                        okText: 'ورود',
                        okType: 'button-clear button-balanced',
                        cancelText: 'انصراف',
                        cancelType: 'button-clear button-assertive',
                    }).then(function(confirm) {
                        if (confirm) {
                            $state.go('nav.signup553');
                        }
                    });
                }
            }                    
                    });

                $rootScope.forceToLoggedIn = function () {
            if (Auth.Check()) {
                return;
            }

            $ionicPopup.confirm({
                cssClass: 'signup_pupop',
                title: 'حساب کاربری',
                template: '.برای دسترسی به این امکان باید حتما وارد شوید',
                okText: 'ورود',
                okType: 'button-clear button-balanced',
                cancelText: 'انصراف',
                cancelType: 'button-clear button-assertive',
            }).then(function(confirm) {
                if (confirm) {
                    $state.go('nav.signup553');
                }
            });
        }

        $rootScope.isUserLoggedIn = function () {
            return Auth.Check();
        }
        
        $rootScope.iOSTutorialModal = $ionicModal.fromTemplate( 
            '<ion-modal-view>' +
                '<ion-content class="webapp-help ios rtl">'+
                    '<div style="display: flex;flex-direction: column;">' +
                        '<div style="flex:1;">' +
                            '<div style="display: flex;justify-content: center; margin-top: 20%;">' +
                                '<img src="/uploads/attachments/Mobile/Model/App/headers/000/134/049/icon40/stapler-0Aba5q.png" style="">' +
                            '</div>' +

                            '<div style="display: flex;justify-content: center;text-align: center;margin: 15px 15%;">' +
                                'وب‌اپلیکیشن " BehsazCivil App " را به صفحه اصلی موبایل خود اضافه کنید.' +
                            '</div>' +

                            '<div class="theme-bg-simple" style="display: block;width: 80vw;height: 4px;margin: auto;"></div>' +
                            '<div style="margin: 0 10%;">' +
                                '<ul style="margin-top: 10px;">' +
                                    '<li style="line-height:50px">١- در نوار پایین روی دکمه <b>share</b> <svg enable-background="new 0 0 50 50" height="25px" id="Layer_1" version="1.1" viewBox="0 0 50 50" width="25px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" style="vertical-align: middle;"><polyline fill="none" points="17,10 25,2 33,10   " stroke="#007AFF" stroke-linecap="round" stroke-miterlimit="10" stroke-width="2"></polyline><line fill="none" stroke="#007AFF" stroke-linecap="round" stroke-miterlimit="10" stroke-width="2" x1="25" x2="25" y1="32" y2="2.333"></line><rect fill="none" height="50" width="50"></rect><path d="M17,17H8v32h34V17h-9" fill="none" stroke="#007AFF" stroke-linecap="round" stroke-miterlimit="10" stroke-width="2"></path></svg> بزنید.</li>' +
                                    '<li>۲- در قسمت پایین از منوی باز شده، گزینه <b>Add to Home Screen(اضافه‌کردن به صفحه‌اصلی)</b> را انتخاب کنید.</li>' +
                                    '<img src="/assets/images/add-to-homescreen.png" style="margin-top:25px;margin-bottom:25px;width:100%;">' +
                                    '<li>۳- در مرحله بعد در قسمت بالا روی <b style="color:#007AFF;">Add</b> بزنید.</li>' +
                                '</ul>' +
                            '</div>' +
                        '</div>' +
                        
                        '<div style="margin:5px;margin-top: 25px;">' +
                            '<button class="button button-block button-balanced" ng-click="closeIOSTutorialModal()" style="width: 80%;margin: auto;">' +
                                'تایید' +
                            '</button>' +
                        '</div>' +
                    '</div>' +
                '</ion-content>' +

            '</ion-modal-view>', {
                scope: $rootScope,
                animation: 'slide-in-up'
            });

        $rootScope.openIOSTutorialModal = function() {
            $rootScope.iOSTutorialModal.show();
        };
            
        $rootScope.closeIOSTutorialModal = function() {
            $rootScope.iOSTutorialModal.hide();
        };

        $rootScope.androidTutorialModal = $ionicModal.fromTemplate( 
            '<ion-modal-view>' +
                '<ion-content class="webapp-help android rtl">'+
                    '<div style="display: flex;flex-direction: column;">' +
                        '<div style="flex:1;">' +
                            '<div style="display: flex;justify-content: center; margin-top: 20%;">' +
                                '<img src="/uploads/attachments/Mobile/Model/App/headers/000/134/049/icon40/stapler-0Aba5q.png" style="">' +
                            '</div>' +

                            '<div style="display: flex;justify-content: center;text-align: center;margin: 15px 15%;">' +
                                'وب‌اپلیکیشن " BehsazCivil App " را به صفحه اصلی موبایل خود اضافه کنید.' +
                            '</div>' +

                            '<div class="theme-bg-simple" style="display: block;width: 80vw;height: 4px;margin: auto;"></div>' +
                            '<div style="margin: 0 10%;">' +
                                '<ul style="margin-top:10px;">' +
                                    '<li style="margin:25px 0;">١- در قسمت گوشه سمت راست دکمه <b>settings</b> <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 512 512" style="width: 20px;vertical-align: middle;enable-background:new 0 0 512 512;" xml:space="preserve"><g><g><g><circle cx="256" cy="256" r="64"></circle><circle cx="256" cy="448" r="64"></circle><circle cx="256" cy="64" r="64"></circle></g></g></g></svg> را بزنید.</li>' +
                                    '<li style="margin-bottom:25px;">۲- در قسمت پایین از منوی باز شده، گزینه <b>Add to Home Screen(اضافه‌کردن به صفحه‌اصلی)</b> را انتخاب کنید.</li>' +
                                    '<li style="margin-bottom:25px;">۳- در قسمت پایین روی <b style="color:#007AFF;">Add</b> بزنید.</li>' +
                                '</ul>' +
                            '</div>' +
                        '</div>' +
                        
                        '<div style="margin:5px;margin-top: 25px;">' +
                            '<button class="button button-block button-balanced" ng-click="closeAndroidTutorialModal()" style="width: 80%;margin: auto;">' +
                                'تایید' +
                            '</button>' +
                        '</div>' +
                    '</div>' +
                '</ion-content>' +

            '</ion-modal-view>', {
                scope: $rootScope,
                animation: 'slide-in-up'
            });

        $rootScope.openAndroidTutorialModal = function() {
            $rootScope.androidTutorialModal.show();
        };
            
        $rootScope.closeAndroidTutorialModal = function() {
            $rootScope.androidTutorialModal.hide();
        };

        $rootScope.openImageViewerModal = function(src) {
            $rootScope.imageViewerModal = $ionicModal.fromTemplate( 
                '<div class="modal image-viewer-modal transparent ltr" on-swipe-down="closeImageViewerModal()">'+
                    '<div class="transparent-bar">'+
                        '<div class="back" ng-click="closeImageViewerModal()"><i class="ion-close-round"></i></div>'+
                    '</div>'+
                    '<ion-scroll class="imageContiner" direction="xy" scrollbar-x="false" scrollbar-y="false" zooming="true" min-zoom="1" delegate-handle="imageviewer-zoom-pane" overflow-scroll="false">'+
                        '<span></span>'+
                        '<img ng-src="{{ ImageViewerPhoto }}" on-double-tap="zoom()" />'+
                    '</ion-scroll>'+
                    '<div class="caption rtl">'+
                                                '<div class="photo-download">'+
                            '<a href="{{ ImageViewerPhoto }}" target="_system" download>' +
                                '<i class="ion-android-download"></i>'+
                            '</a>' +
                        '</div>'+
                                                                        '<div class="photoshare" ng-click="shareImage(ImageViewerPhoto, $event)">'+
                            '<i class="ion-android-share-alt"></i>'+
                        '</div>'+
                                            '</div>'+
                '</div>', {
                scope: $rootScope,
                animation: 'slide-in-up',
                hardwareBackButtonClose: true
            });
            $rootScope.ImageViewerPhoto = src;
            $rootScope.imageViewerModal.show();
        };

        $rootScope.imageViewerModal
        $rootScope.shareImage = function(src, event) {
            shareImage('', src, event);
        };
            
        $rootScope.closeImageViewerModal = function() {
            $rootScope.imageViewerModal.remove();
        };

        $rootScope.inZoom = false;
        $rootScope.zoom = function(){
            if ($rootScope.inZoom) {
                $ionicScrollDelegate.$getByHandle('imageviewer-zoom-pane').zoomTo(1, true);
                $rootScope.inZoom = false;
            } else {
                $ionicScrollDelegate.$getByHandle('imageviewer-zoom-pane').zoomTo(2, true);
                $rootScope.inZoom = true;
            }
        }
        
        $rootScope.activeTrialMode = function(){
            $rootScope.isTrial = true;
            $rootScope.trial_message = 'نسخه دمو - آزمایشی';
            $rootScope.$apply();
            $ionicPopup.alert({
                cssClass: 'trial_pupop',
                title: 'نسخه تست',
                template: 'نسخه تست متن',
                okText: 'تایید',
                okType: 'button-clear button-balanced'
            });
            setInterval(function(){
                showToast('نسخه تست', 2800, 'center');
            }, 60000);
        }
    })

    .config(function($stateProvider, $locationProvider, $urlRouterProvider, $ionicConfigProvider, $httpProvider, $compileProvider) {

                    $ionicConfigProvider.scrolling.jsScrolling(true);
        
        $compileProvider.aHrefSanitizationWhitelist(/^\s*((https?|ftp|mailto|sms|tel|geo|bazaar|store|myket|tg|instagram|javascript):)|(#\/nav\/.*)/);

        $ionicConfigProvider.templates.maxPrefetch(0);
        $ionicConfigProvider.backButton.previousTitleText(false).text('');
        $ionicConfigProvider.navBar.positionSecondaryButtons('right');
        $ionicConfigProvider.navBar.positionPrimaryButtons('left');

        $httpProvider.interceptors.push(function($rootScope, $q) {
            return {
                /* http request show loading */
                request: function(config) {
                    if (typeof config.noLoading == "undefined" || config.noLoading != true) {
                        $rootScope.$broadcast('loading:show');
                    }
                    return config
                },
                /* Hide loading in case any occurred */
                requestError: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return response
                },
                /* Hide loading once got response */
                response: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return response
                },
                /* Hide loading if got any response error  */
                responseError: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return $q.reject(response);
                }
            }
        });

        
        $ionicConfigProvider.navBar.alignTitle('center');

        $stateProvider
            .state('nav', {
                url: '/nav',
                abstract: true,
                templateUrl: 'nav.html',
                controller: 'NavCtrl',
                secured: 0,
                pageid: 1
            })
            .state('nav.widget1', {
                url: '/widget/:widget/:func/:sl/:id',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            if (!isOnline()) { checkYourInternet(); }
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.widget2', {
                url: '/widget/:widget/:func/:sl/:id/:extra',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            if (!isOnline()) { checkYourInternet(); }
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id + '/' + params.extra;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.widget3', {
                url: '/online/:widget/:func/:pageId/:sl/:id',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            if (!isOnline()) { checkYourInternet(); }
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id ;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.watermarkPage', {
                url: "/watermarkPage",
                views: {
                    'mainContent': {
                        templateUrl: 'appwatermark.html'
                    }
                },
                secured: 0,
                pageid: 1
            })
                        
             .state('nav.menu297', { url: '/menu297', cache: 'true', secured : 0, pageid : '1', views: { 'mainContent': { templateUrl: 'templates/menu297.html' } } })  .state('nav.web-page157', { url: '/web-page157', cache: 'false', secured : 0, pageid : '733613', views: { 'mainContent': { templateUrl: 'templates/web-page157.html' } } })  .state('nav.file-shop998', { url: '/file-shop998', cache: 'true', secured : 0, pageid : '734221', views: { 'mainContent': { templateUrl: 'templates/file-shop998.html' } } })  .state('nav.signup553', { url: '/signup553', cache: 'true', secured : 0, pageid : '1', views: { 'mainContent': { templateUrl: 'templates/signup553.html' } } })  .state('nav.aparat974', { url: '/aparat974', cache: 'true', secured : 0, pageid : '736544', views: { 'mainContent': { templateUrl: 'templates/aparat974.html' } } })  .state('nav.file-shop502', { url: '/file-shop502', cache: 'true', secured : 0, pageid : '734218', views: { 'mainContent': { templateUrl: 'templates/file-shop502.html' } } })  .state('nav.menu686', { url: '/menu686', cache: 'true', secured : 0, pageid : '737247', views: { 'mainContent': { templateUrl: 'templates/menu686.html' } } })  .state('nav.about-us769', { url: '/about-us769', cache: 'true', secured : 0, pageid : '733629', views: { 'mainContent': { templateUrl: 'templates/about-us769.html' } } })  .state('nav.advance-form270', { url: '/advance-form270', cache: 'true', secured : 0, pageid : '733759', views: { 'mainContent': { templateUrl: 'templates/advance-form270.html' } } })  .state('nav.file-shop307', { url: '/file-shop307', cache: 'true', secured : 0, pageid : '733791', views: { 'mainContent': { templateUrl: 'templates/file-shop307.html' } } })  .state('nav.file-shop840', { url: '/file-shop840', cache: 'true', secured : 0, pageid : '733796', views: { 'mainContent': { templateUrl: 'templates/file-shop840.html' } } })  .state('nav.file-shop277', { url: '/file-shop277', cache: 'true', secured : 0, pageid : '733797', views: { 'mainContent': { templateUrl: 'templates/file-shop277.html' } } })  .state('nav.file-shop888', { url: '/file-shop888', cache: 'true', secured : 0, pageid : '734214', views: { 'mainContent': { templateUrl: 'templates/file-shop888.html' } } })  .state('nav.file-shop268', { url: '/file-shop268', cache: 'true', secured : 0, pageid : '734216', views: { 'mainContent': { templateUrl: 'templates/file-shop268.html' } } })  .state('nav.file-shop476', { url: '/file-shop476', cache: 'true', secured : 0, pageid : '734219', views: { 'mainContent': { templateUrl: 'templates/file-shop476.html' } } })  .state('nav.file-shop183', { url: '/file-shop183', cache: 'true', secured : 0, pageid : '734220', views: { 'mainContent': { templateUrl: 'templates/file-shop183.html' } } })  .state('nav.menu371', { url: '/menu371', cache: 'true', secured : 0, pageid : '734222', views: { 'mainContent': { templateUrl: 'templates/menu371.html' } } })  .state('nav.menu395', { url: '/menu395', cache: 'true', secured : 0, pageid : '734223', views: { 'mainContent': { templateUrl: 'templates/menu395.html' } } })  .state('nav.menu894', { url: '/menu894', cache: 'true', secured : 0, pageid : '734225', views: { 'mainContent': { templateUrl: 'templates/menu894.html' } } })  .state('nav.menu140', { url: '/menu140', cache: 'true', secured : 0, pageid : '734667', views: { 'mainContent': { templateUrl: 'templates/menu140.html' } } })  .state('nav.search943', { url: '/search943', cache: 'true', secured : 0, pageid : '734785', views: { 'mainContent': { templateUrl: 'templates/search943.html' } } })  .state('nav.menu452', { url: '/menu452', cache: 'true', secured : 0, pageid : '736868', views: { 'mainContent': { templateUrl: 'templates/menu452.html' } } })  .state('nav.aparat205', { url: '/aparat205', cache: 'true', secured : 0, pageid : '734899', views: { 'mainContent': { templateUrl: 'templates/aparat205.html' } } })  .state('nav.e-commerce660', { url: '/e-commerce660', cache: 'true', secured : 0, pageid : '735720', views: { 'mainContent': { templateUrl: 'templates/e-commerce660.html' } } })  .state('nav.file-shop114', { url: '/file-shop114', cache: 'true', secured : 0, pageid : '735749', views: { 'mainContent': { templateUrl: 'templates/file-shop114.html' } } })  .state('nav.raychat237', { url: '/raychat237', cache: 'true', secured : 0, pageid : '736095', views: { 'mainContent': { templateUrl: 'templates/raychat237.html' } } })  .state('nav.menu363', { url: '/menu363', cache: 'true', secured : 0, pageid : '736175', views: { 'mainContent': { templateUrl: 'templates/menu363.html' } } })  .state('nav.aparat585', { url: '/aparat585', cache: 'true', secured : 0, pageid : '736176', views: { 'mainContent': { templateUrl: 'templates/aparat585.html' } } })  .state('nav.aparat111', { url: '/aparat111', cache: 'true', secured : 0, pageid : '736467', views: { 'mainContent': { templateUrl: 'templates/aparat111.html' } } })  .state('nav.aparat651', { url: '/aparat651', cache: 'true', secured : 0, pageid : '736469', views: { 'mainContent': { templateUrl: 'templates/aparat651.html' } } })  .state('nav.aparat395', { url: '/aparat395', cache: 'true', secured : 0, pageid : '736491', views: { 'mainContent': { templateUrl: 'templates/aparat395.html' } } })  .state('nav.aparat193', { url: '/aparat193', cache: 'true', secured : 0, pageid : '736607', views: { 'mainContent': { templateUrl: 'templates/aparat193.html' } } })  .state('nav.aparat615', { url: '/aparat615', cache: 'true', secured : 0, pageid : '737185', views: { 'mainContent': { templateUrl: 'templates/aparat615.html' } } })  .state('nav.aparat825', { url: '/aparat825', cache: 'true', secured : 0, pageid : '737253', views: { 'mainContent': { templateUrl: 'templates/aparat825.html' } } })  .state('nav.aparat308', { url: '/aparat308', cache: 'true', secured : 0, pageid : '737255', views: { 'mainContent': { templateUrl: 'templates/aparat308.html' } } })  .state('nav.aparat234', { url: '/aparat234', cache: 'true', secured : 0, pageid : '737256', views: { 'mainContent': { templateUrl: 'templates/aparat234.html' } } })  .state('nav.web-page989', { url: '/web-page989', cache: 'false', secured : 0, pageid : '738950', views: { 'mainContent': { templateUrl: 'templates/web-page989.html' } } })  .state('nav.web-page273', { url: '/web-page273', cache: 'false', secured : 0, pageid : '739918', views: { 'mainContent': { templateUrl: 'templates/web-page273.html' } } })  .state('nav.menu921', { url: '/menu921', cache: 'true', secured : 0, pageid : '762434', views: { 'mainContent': { templateUrl: 'templates/menu921.html' } } })  .state('nav.aparat337', { url: '/aparat337', cache: 'true', secured : 0, pageid : '762437', views: { 'mainContent': { templateUrl: 'templates/aparat337.html' } } })  .state('nav.aparat864', { url: '/aparat864', cache: 'true', secured : 0, pageid : '763842', views: { 'mainContent': { templateUrl: 'templates/aparat864.html' } } })  .state('nav.forms220', { url: '/forms220', cache: 'true', secured : 0, pageid : '773060', views: { 'mainContent': { templateUrl: 'templates/forms220.html' } } })  .state('nav.aparat493', { url: '/aparat493', cache: 'true', secured : 0, pageid : '778666', views: { 'mainContent': { templateUrl: 'templates/aparat493.html' } } })  .state('nav.aparat636', { url: '/aparat636', cache: 'true', secured : 0, pageid : '786096', views: { 'mainContent': { templateUrl: 'templates/aparat636.html' } } })  .state('nav.menu599', { url: '/menu599', cache: 'true', secured : 0, pageid : '786097', views: { 'mainContent': { templateUrl: 'templates/menu599.html' } } }) 
        
        
                    .state('nav.puzzleysearch', {
                url: '/puzzleysearch/:widgetslug/:search',
                cache: 'false',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return 'templates/' + params.widgetslug + '.html';
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.pzzOnlineSearch', {
                url: '/oSearch/:pageid/:widget/:func/:sl/:id',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
                ;
        $urlRouterProvider.otherwise('/nav/menu297');
    });

    var appsetting = (localStorage.app134049setting) ? JSON.parse(localStorage.app134049setting) : {};
    appsettingInit();

function saveSetting() {
    localStorage.app134049setting = JSON.stringify(appsetting)
}

document.addEventListener("online", function() {
    online = true;
}, false);
document.addEventListener("offline", function() {
    online = false;
}, false);
function isOnline() {
    return online;
}

var homeHash = "#/nav/menu297";
var homeState = "nav.menu297";
var hasHome = false;
/* iap message */
    var signupHash = "#/nav/signup553";

function checkapp() {
    if (!check) {
        if (typeof device == "object") {
            $device_info.platform = device.platform;
            $device_info.version = device.version;
            $device_info.uuid = device.uuid;
            $device_info.model = device.model;
        }
        check = true;
        $.post(url + '/api/v1/app/check-app/gpoYo',{
            device: $device_info,
            app_data : $app_data
        })
            .done(function(data) {
                if (typeof(data.active) != 'undefined' && data.active == 0) {
                    alert('این اپلیکیشن غیرفعال است.');
                    window.localStorage['active'] = 'notActive';
                    ionic.Platform.exitApp();
                } else if (typeof(data.active) != 'undefined' && data.active == 1) {
                    window.localStorage['active'] = true;
                }
            }).fail(function() {
                if (window.localStorage['active'] == 'notActive') {
                    alert('این اپلیکیشن غیرفعال است.');
                    ionic.Platform.exitApp();
                }
                check = false;
            });
    }
}
document.addEventListener("deviceready", function() {
    setTimeout(function() {
        if (window.localStorage['active'] == 'notActive') {
            alert('این اپلیکیشن غیرفعال است.');
            ionic.Platform.exitApp();
        }
    }, 10000);
    document.addEventListener("online", function() {
        setTimeout(checkapp, 6000);
    }, false);
    isDevice = true;
    var $rootScope = angular.element(document.body).injector().get('$rootScope');
    $rootScope.isDevice = true;
    $rootScope.$apply();
    setTimeout(function() {
        $('body').on('click', 'a[target="_system"]', function(e) {
            e.preventDefault();
            var src = $(this).attr("href");
            if (typeof cordova !== 'undefined' && typeof cordova.InAppBrowser !== 'undefined') {
                cordova.InAppBrowser.open(encodeURI(src), '_system');
            } else {
                window.open(src, '_system');
            }
        });
        $('body').on('click', 'a[target="_blank"]', function(e) {
            e.preventDefault();
            var src = $(this).attr("href");
            if (typeof cordova !== 'undefined' && typeof cordova.InAppBrowser !== 'undefined') {
                cordova.InAppBrowser.open(encodeURI(src), '_system');
            } else {
                window.open(src, '_system');
            }
        });
    }, 3000);

    if (trialMode) {
        $rootScope.activeTrialMode();
    }
});


var logArray = ['','','','',''];
function showLog(message) {
    logArray.shift();
    logArray.push(message);
    var x = document.getElementById("toastMessage");
    x.innerHTML = logArray.join('<br>');
    x.className = "show";
    setTimeout(function () {
        x.className = x.className.replace("show", "");
    }, 3000);
}

setTimeout(function () {
    $('body').on('click', '.image-viewer img', function() {
        if (!$(this).parents('a').length && (this.naturalWidth >= 50 || this.naturalHeight >= 50)) {
            var src = $(this).attr('src');
            angular.element(document.body).injector().get('$rootScope').openImageViewerModal(src);
        }
    });
}, 1000);
